/****************************************************************************
 |
 |  (C) Copyright 2001, 2004-2010, 2014-2015  Novell, Inc.
 |  All Rights Reserved.
 |
 | Permission is hereby granted, free of charge, to any person obtaining
 | a copy of this software and associated documentation files (the "Software"),
 | to deal in the Software without restriction, including without limitation 
 | the rights to use, copy, modify, merge, publish, distribute, sublicense,
 | and/or sell copies of the Software, and to permit persons to whom the
 | Software is furnished to do so, subject to the following conditions:
 |
 | The above copyright notice and this permission notice shall be included in
 | all copies or substantial portions of the Software.
 |
 | THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 | IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 | FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 | AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 | LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 | OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 | SOFTWARE.
 |
 |***************************************************************************
 |
 |   Novell Identity Translator (NIT) Module
 |
 |---------------------------------------------------------------------------
 |
 | $Author: mkiran $
 | $Date: 2015-04-02 17:10:33 +0530 (Thu, 02 Apr 2015) $
 |
 | $RCSfile$
 | $Revision: 0001 $
 |
 |---------------------------------------------------------------------------
 |  This module is used to:
 |     This contains ALL return codes for NIT 
 |
 |	THIS HEADER FILE IS COMSUMED BY NOVELL STORAGE SERVICES(NSS), HENCE DO NOT
 |	ADD USER SPACE HEADER FILES OR OTHER STUFFS.
 +-------------------------------------------------------------------------*/
#ifndef __INCLUDE_NITERROR_H__
#define __INCLUDE_NITERROR_H__

#ifdef __cplusplus
extern "C" {
#endif

/*---------------------------------------------------------------------------
** NIT specific standard values.
*/

/* Return codes */
#define NIT_SUCCESS                 0

/* NIT Error codes. */
#define NITERR_ENTRY_NOTFOUND       -9001
#define NITERR_ATTRIBUTE_NOTFOUND   -9002
#define NITERR_UIDRANGE_EXHAUSTED   -9003
#define NITERR_IO_ERROR             -9004
#define NITERR_PERMISSION_DENIED    -9005
#define NITERR_NITD_UNAVAILABLE     -9006
#define NITERR_AD_LDAP_TIMEOUT      -9007
#define NITERR_EDIR_ONLY_MODE       -9008
#define NITERR_INSUFFICIENT_BUFFER  -9009
#define NITERR_INSUFFICIENT_MEMORY  -9010
#define NITERR_UNKNOWN_ERROR        -9011
#define NITERR_NO_USER_ACCESS_GROUP -9012
#define NITERR_MANY_USER_ACCESS_GROUP   -9013
#define NITERR_INVALID_PARAMETER	-9014

#ifdef __cplusplus
}
#endif

#endif /* __INCLUDE_NITERROR_H__ */
